import { lazy } from "react";

export interface IRouteMenuItem {
  path: string;
  name: string;
}

interface IRoute extends IRouteMenuItem {
  element: React.LazyExoticComponent<() => JSX.Element>;
}

export const navRoutes: IRoute[] = [
  {
    path: "/",
    element: lazy(() => import("../view/Overview")),
    name: "总览",
  },
  {
    path: "/payment",
    element: lazy(() => import("../view/Payment")),
    name: "支付",
  },
];

export const sideMenuRoutes: IRoute[] = [
  {
    path: "/course/create",
    element: lazy(() => import("../view/Course/Create")),
    name: "课程创建",
  },
  {
    path: "/user",
    element: lazy(() => import("../view/User")),
    name: "用户",
  },
];

export const navMenuList = navRoutes.map((route) => {
  const { path: key, name: label } = route;
  return { key, label };
});
